#include "steady.h"

Float SteadyPIF::evalSingle(Float x, Float centerTau) const {
    return 1.0;
}

FloatAD SteadyPIF::evalSingleAD(const FloatAD &x, const FloatAD &centerTau) const {
    return 1.0;
}

Float SteadyPIF::sampleSingle(RndSampler *sampler, const Vector2 &rnd2, Float centerTau, Float &pdf) const {
    pdf = 0.0;
    return 0.0;
}

Vector2 SteadyPIF::sampleSingleBoundary(Float centerTau, Float &pdf) const {
    pdf = 0.0;
    return Vector2(0);
}

Vector2i SteadyPIF::getBinIndexRange(Float x) const {
    return Vector2i(0, 0);
}